## org.eclipse.datatools.enablement.sybase.ase.models.sybaseasesqlmodel
Interface SybaseASEDefault

All Superinterfaces:
  org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, SQLObject

All Known Implementing Classes:
  SybaseASECatalogDefault, SybaseASEDefaultImpl

    public interface SybaseASEDefault

extends SQLObject

A representation of the model object 'Sybase ASE Default'.

The following features are supported:

- `Schema`
- `Statement`

See Also:
  `SybaseasesqlmodelPackage.getSybaseASEDefault()`

Method Summary
`SybaseASESchema` `getSchema()` Returns the value of the 'Schema' reference.
`java.lang.String` `getStatement()` Returns the value of the 'Statement' attribute.
`void` `setSchema(SybaseASESchema value)` Sets the value of the '`Schema`' reference.
`void` `setStatement(java.lang.String value)` Sets the value of the '`Statement`' attribute.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getExtensions, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getSchema

    SybaseASESchema getSchema()

  Returns the value of the 'Schema' reference. It is bidirectional and its opposite is '`Defaults`'.

  If the meaning of the 'Schema' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Schema' reference.
  See Also:
    `setSchema(SybaseASESchema)`, `SybaseasesqlmodelPackage.getSybaseASEDefault_Schema()`, `SybaseASESchema.getDefaults()`

### setSchema

    void setSchema(SybaseASESchema value)

  Sets the value of the '`Schema`' reference.

  Parameters:
    `value` - the new value of the 'Schema' reference.
  See Also:
    `getSchema()`

### getStatement

    java.lang.String getStatement()

  Returns the value of the 'Statement' attribute. SQL scripts of creation statement of this Default

  Returns:
    the value of the 'Statement' attribute.
  See Also:
    `setStatement(String)`, `SybaseasesqlmodelPackage.getSybaseASEDefault_Statement()`

### setStatement

    void setStatement(java.lang.String value)

  Sets the value of the '`Statement`' attribute.

  Parameters:
    `value` - the new value of the 'Statement' attribute.
  See Also:
    `getStatement()`